import string, sys, os

debug = '0'
finsert = 'finsert'
fmailInterval = '900000'
freenetdir = '\freenet'
helper = '\program files\internet explorer\iexplore.exe'
#java = 'java'
#javaw = 'NOjavaw'

if sys.platform == 'win32':
    f = open("\Freenet\FLaunch.ini", "r")
    lines = f.readlines()
    
    for l in lines:
        if string.find(l, 'javaexec=') != -1:
            java = string.split(l, '=', 2)[1]
            java = string.strip(java)
            #print java
    
        if string.find(l, 'javaw=') != -1:
            javaw = string.split(l, '=', 2)[1]
            javaw = string.strip(javaw)
            #print javaw
    
        if string.find(l, 'frequest=') != -1:
            serverAddress = string.split(l, ' ', 2)[2]
            serverAddress = string.strip(serverAddress)
            #print serverAddress

# Commands to be executed by Java

#frequest=Freenet.client.RequestClient --serverAddress tcp/127.0.0.1:19114